org.apache.storm.eventhubs.bolt

## Class EventHubBoltConfig

- java.lang.Object
- - org.apache.storm.eventhubs.bolt.EventHubBoltConfig

- All Implemented Interfaces:
    Serializable

      public class EventHubBoltConfig
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IEventDataFormat` | `dataFormat`
    `protected boolean` | `partitionMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventHubBoltConfig(String connectionString, String entityPath)`
    `EventHubBoltConfig(String connectionString, String entityPath, boolean partitionMode)`
    `EventHubBoltConfig(String connectionString, String entityPath, boolean partitionMode, IEventDataFormat dataFormat)`
    `EventHubBoltConfig(String userName, String password, String namespace, String entityPath, boolean partitionMode)`
    `EventHubBoltConfig(String userName, String password, String namespace, String targetFqnAddress, String entityPath)`
    `EventHubBoltConfig(String userName, String password, String namespace, String targetFqnAddress, String entityPath, boolean partitionMode)`
    `EventHubBoltConfig(String userName, String password, String namespace, String targetFqnAddress, String entityPath, boolean partitionMode, IEventDataFormat dataFormat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectionString()`
    `String` | `getEntityPath()`
    `IEventDataFormat` | `getEventDataFormat()`
    `boolean` | `getPartitionMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### partitionMode

          protected boolean partitionMode

    - #### dataFormat

          protected IEventDataFormat dataFormat

  - ### Constructor Detail

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String connectionString,
                                    String entityPath)

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String connectionString,
                                    String entityPath,
                                    boolean partitionMode)

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String userName,
                                    String password,
                                    String namespace,
                                    String entityPath,
                                    boolean partitionMode)

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String connectionString,
                                    String entityPath,
                                    boolean partitionMode,
                                    IEventDataFormat dataFormat)

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String userName,
                                    String password,
                                    String namespace,
                                    String targetFqnAddress,
                                    String entityPath)

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String userName,
                                    String password,
                                    String namespace,
                                    String targetFqnAddress,
                                    String entityPath,
                                    boolean partitionMode)

    - #### EventHubBoltConfig

          public EventHubBoltConfig(String userName,
                                    String password,
                                    String namespace,
                                    String targetFqnAddress,
                                    String entityPath,
                                    boolean partitionMode,
                                    IEventDataFormat dataFormat)

  - ### Method Detail

    - #### getConnectionString

          public String getConnectionString()

    - #### getEntityPath

          public String getEntityPath()

    - #### getPartitionMode

          public boolean getPartitionMode()

    - #### getEventDataFormat

          public IEventDataFormat getEventDataFormat()

Copyright © 2021 The Apache Software Foundation. All rights reserved.